


function [f df]=f0_LS(xrf,A,opt)
% function [f df]=f0_LS(xrf,A,opt)

% function
ncunk=size(xrf,1)/2;
rf=xrf(1:ncunk,1) + 1j*xrf(ncunk+1:2*ncunk,1);
y=A*rf-opt.mtt;
f=y'*y;

% gradient
if nargout>1
    cdf=2.0*A'*y;
    df(1:ncunk,1)=real(cdf);
    df(ncunk+1:2*ncunk,1)=imag(cdf);
end
