


function spokes2=opt_gradients(spokes,system,opt,sar,deltat)

spokes2=spokes;
nsp=spokes2.nspokes;

x0_gr=zeros(2*spokes2.nspokes,1);
for i=1:spokes2.nspokes
    x0_gr( (i-1)*2+1,1 )=spokes2.spcoords(i,1);
    x0_gr( (i-1)*2+2,1 )=spokes2.spcoords(i,2);
end

% x0_gr=reshape( rand(nsp,2).*repmat([1/opt.lx,1/opt.ly],nsp,1),2*nsp,1 );
% test_grad( @(x_gr)f0_gr(x_gr,opt,spokes,system,sar),x0_gr )

% % SA
% sigma_generator=max( [1/opt.lx 1/opt.ly] )/10;
% tmin=-1; tmax=-1;
% alphamin=5.0; alphamax=1.001;
% b=log(alphamax/alphamin)/(tmin-tmax);
% a=alphamin*exp(b*tmin);
% cool_sch=@(T)( T/(a*exp(-b*T)) );
% cool_sch=@(T)( T*0.5 );
% options_sa = struct(...
%         'CoolSched',cool_sch,...
%         'Generator',@(x) (x(:)'+(randperm(length(x))==length(x))*randn*sigma_generator)',...
%         'InitTemp',tmax,...
%         'MaxConsRej',100,...
%         'MaxSuccess',20,...
%         'MaxTries',300,...
%         'StopTemp',tmin,...
%         'StopVal',-Inf,...
%         'Verbosity',2);
% x=anneal(@(x_gr)f0_gr(x_gr,opt,spokes,system,sar),x0_gr,options_sa);

x=x0_gr;

% refine using gradient opt
x0_gr=x;
options = optimset('Largescale','off','Display','iter-detailed','MaxFunEvals',10^5,'TolFun',1e-4,'TolCon',1e-4,...
    'MaxIter',opt.niters,'Algorithm','interior-point','GradObj','on');
x=fminunc( @(x_gr)f0_gr(x_gr,opt,spokes,system,sar,deltat),x0_gr,options );

for i=1:spokes2.nspokes
    spokes2.spcoords(i,1)=x( (i-1)*2+1,1 );
    spokes2.spcoords(i,2)=x( (i-1)*2+2,1 );
end










