

function [deltat xrf MT]=optimize_RF_and_time_shifts_loopIniPoints(spokes,opt,deltat_max,xrf0,system,sar,do_mls,A_noRF_noTS,sinc_a,sinc_b_large)
% function [deltat xrf MT]=optimize_RF_and_time_shifts_loopIniPoints(spokes,opt,deltat_max,xrf0,system,sar,do_mls,A_noRF_noTS,sinc_a,sinc_b_large)

[npix ncunk]=size(A_noRF_noTS);
nchannels=opt.nrows*opt.ncoilspr;

ngpoints=5;  % odd so that there is a 0 deltat
deltat_grid=linspace(-deltat_max,deltat_max,ngpoints)';
err=zeros(ngpoints,1);
sbuf=[];
dt=deltat_grid(2)-deltat_grid(1);
deltat=zeros(ncunk,1);
for loops=1:1
    for sp=1:spokes.nspokes
        fprintf('\tSpoke %d out of %d ...\n',sp,spokes.nspokes);
        for ch=1:nchannels        
            fprintf('\t\tChannel %d out of %d ',ch,nchannels);
            err(:)=0;
            for i=1:ngpoints                 
                deltat(ch+(sp-1)*nchannels)=deltat_grid(i);                
                [deltat_ xrf MT f0]=optimize_RF_and_time_shifts(deltat,deltat_max,xrf0,A_noRF_noTS,sinc_a,sinc_b_large,spokes,opt,system,do_mls,sar,1e-6,-1);                
                err(i)=f0;
                
                for j=1:size(sbuf,2)
                    fprintf('\b');
                end
                sbuf=sprintf('[%d/%d: deltat=%f us f0=%f]',i,ngpoints,deltat(ch+(sp-1)*nchannels)*1e6,f0);
                fprintf(sbuf);
            end
            
            [val ind]=min(err);
            deltat(ch+(sp-1)*nchannels)=deltat_grid(ind);
            
            for j=1:size(sbuf,2)
                fprintf('\b');
            end
            sbuf=sprintf('[deltat=%f us f0=%f]',deltat(ch+(sp-1)*nchannels)*1e6,err(ind));
            fprintf(sbuf);
            
            fprintf('\n');
            sbuf=[];
        end
    end
end

[deltat xrf MT]=optimize_RF_and_time_shifts(deltat,deltat_max,xrf0,A_noRF_noTS,sinc_a,sinc_b_large,spokes,opt,system,do_mls,sar,tol,disp); 















