

function b1maps=read_b1maps(pref,nx,ny,nz,ncoils)
% function b1maps=read_b1maps(pref,nx,ny,nz,ncoils)

b1maps=zeros(ncoils,nx,ny,nz);
for n=1:ncoils
	if mod(n,10)==0
            fprintf('     [%d/%d] ...\n',n,ncoils);
	end
	b1maps(n,:,:,:)=reshape( read_fdata(sprintf('%s%d_%d_%d_%d_mag',pref,n,nx,ny,nz),-1).* ...
	    exp(1j*read_fdata(sprintf('%s%d_%d_%d_%d_pha',pref,n,nx,ny,nz),-1)),nx,ny,nz );
end




