

function mtimg=write_and_display_magnetization(mt,opt)
% function mtimg=write_and_display_magnetization(x,opt)

mtimg=zeros(size(opt.mttimg));
mtimg(opt.ind)=mt;

magimg=real( asin(abs(mtimg)) )/pi*180;
phaimg=angle(mtimg);

if strcmpi(opt.display,'on')
    figure;
    subplot(2,1,1); imagesc(magimg); colormap(hot); caxis([0 opt.tfa*1.5]); colorbar; axis image; axis off; title('Flip angle map [deg.], STA approx.');
    subplot(2,1,2); imagesc(phaimg); colormap(hot); caxis([-pi pi]); axis image; axis off; colorbar; title('Phase map [rad.], STA approx.');
end



