


function [f df MT]=f0(xrf,A,opt,do_mls)
% function [f df MT]=f0(xrf,A,opt,do_mls)

% function
ncunk=size(xrf,1)/2;
rf=xrf(1:ncunk,1) + 1j*xrf(ncunk+1:2*ncunk,1);
MT=A*rf;

if do_mls
    % y=abs(MT).^2 - abs(opt.mtt).^2;
    y=abs(MT) - abs(opt.mtt);  % better, avoids the phase curl problem
else
    y=MT - opt.mtt;
end
f=y'*y;

% gradient
if nargout>1    
    if do_mls
        % z=y.*MT;
        % cdf=4.0*A'*z;
        cdf=2*A'*( y.*exp(1j*angle(MT)) );
    else
        cdf=2.0*A'*y;
    end
    df(1:ncunk,1)=real(cdf);
    df(ncunk+1:2*ncunk,1)=imag(cdf);
end










