


function [f df]=f0_deltat(deltat,A_noTS,sinc_a,sinc_b_large,do_mls,opt)
% function [f df]=f0_deltat(deltat,A_noTS,sinc_a,sinc_b_large,do_mls,opt)

[npix ncunk]=size(A_noTS);

x=repmat( sinc_a*deltat',[npix 1] ) + sinc_b_large;
sincx=sinc(x/pi);

MT=sum( A_noTS.*sincx,2 );

if do_mls
    y=abs(MT) - abs(opt.mtt);
    f=y'*y;
else
    y=MT - opt.mtt;
    f=y'*y;
end

df=[];

if nargout>1
    dx=sinc_a*( cos(x)./x-sin(x)./(x.^2) );
    dx( find(abs(x)==0) )=0;
    K=A_noTS.*dx;
    
    if do_mls
        df=2.0*real( K'*( y.*exp(1j*angle(MT)) ) );
    else
        df=2.0*real( K'*y );
    end
end




